MCPRemote MCP server for Cursor and Claude Code, on your existing API key→ Read the docs
QuikSEO.com

API reference

Notification handlers

The notification handlers endpoints of the QuikSEO REST API, each with its method, path, parameters and an example request and answer. Send your API key as a Bearer token in the Authorization header; every request works on the data of the account that owns the key, and every answer is JSON.

GET https://app.quikseo.com/api/notification-handlers/
curl --request GET \
--url 'https://app.quikseo.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name.
is_enabled Optional Boolean
type Optional String What field are you searching by. Allowed values are: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: notification_handler_id, datetime, last_datetime, name.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name.
is_enabled Optional Boolean
type Optional String What field are you searching by. Allowed values are: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: notification_handler_id, datetime, last_datetime, name.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": 1,
            "last_datetime": null,
            "datetime": "2026-01-01 00:00:00"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://app.quikseo.com/api/notification-handlers?page=1",
        "last": "https://app.quikseo.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://app.quikseo.com/api/notification-handlers?page=1"
    }
}
GET https://app.quikseo.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://app.quikseo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-01-01 00:00:00"
    }
}
POST https://app.quikseo.com/api/notification-handlers
Parameters Details Description
name Required String -
type Required String Allowed values: email, webhook, slack, discord, telegram, microsoft_teams
email Optional String Available when: type = email Email
webhook Optional String Available when: type = webhook Webhook URL
slack Optional String Available when: type = slack Slack webhook URL
discord Optional String Available when: type = discord Discord webhook URL
telegram Optional String Available when: type = telegram Telegram API Token
telegram_chat_id Optional String Available when: type = telegram Telegram Chat ID
microsoft_teams Optional String Available when: type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://app.quikseo.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hello@example.com"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-01-01 00:00:00"
    }
}
POST https://app.quikseo.com/api/notification-handlers/{notification_handler_id}
Parameters Details Description
name Optional String -
type Optional String Allowed values: email, webhook, slack, discord, telegram, microsoft_teams
email Optional String Available when: type = email Email
webhook Optional String Available when: type = webhook Webhook URL
slack Optional String Available when: type = slack Slack webhook URL
discord Optional String Available when: type = discord Discord webhook URL
telegram Optional String Available when: type = telegram Telegram API Token
telegram_chat_id Optional String Available when: type = telegram Telegram Chat ID
microsoft_teams Optional String Available when: type = microsoft_teams Microsoft Teams webhook URL
is_enabled Optional Boolean -
curl --request POST \
--url 'https://app.quikseo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Example new name",
        "settings": {
            "email": "hello@example.com"
        },
        "is_enabled": 1,
        "last_datetime": "2026-01-01 00:00:00",
        "datetime": "2026-01-01 00:00:00"
    }
}
DELETE https://app.quikseo.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://app.quikseo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \